- Qt 5.5
- User Interface Compiler (uic)
- Qt 5.5.1 Reference Documentation

# User Interface Compiler (uic)

This page documents the User Interface Compiler for the Qt Widgets toolkit. The `uic` reads an XML format user interface definition (`.ui`) file as generated by Qt Designer and creates a corresponding C++ header file.

Usage:

    uic [options] <uifile>

## Options

The following table lists the command-line options recognized by `uic`.

Option | Description
--- | ---
`-o <file>` | Write output to `<file>` instead of to standard output.
`-tr <func>` | Use `<func>` for translating strings instead of `tr()`.
`-p` | Don't generate guards against multiple inclusion (`#ifndef` FOO_H ...).
`-h` | Display the usage and the list of options.
`-v` | Display `uic`'s version number.
`-d` | Display the dependencies for the UI.
`-n` | Don't generate any #include directives.
`--postfix <postfix>` | Append `<postfix>` to all generated classnames.
`--include <file>` | Add #include `<file>` to the output.

## Examples

If you use `qmake`, `uic` will be invoked automatically for header files.

Here are useful makefile rules if you only use GNU make:

    ui_%.h: %.ui
            uic $< -o $@

If you want to write portably, you can use individual rules of the following form:

    ui_foo.h: foo.ui
            uic $< -o $@

You must also remember to add `ui_foo.h` to your `HEADERS` (substitute your favorite name).